MDT - Git module

A Git module for MDT.

Requirements

  • mdt-core >= 0.0.1
  • Ruby (tested with 2.5.0, earlier versions down to 2.0 may also work)
  • RubyGems

Installation

gem install mdt-git

Usage

The module is automatically loaded by mdt. All you need to do is to use appropriate keys in your mdt-deploy.yml.

Objects defined by module

Fetchers

  • git.repository - clones or pulls code from a Git repository. Options:
    • url - URL of the Git repository
    • branch - Git repository branch to use (optional, default: master)

Contributing

You can contribute to the development of this MDT module by submitting an issue or pull request.

Documentation

Generated RDoc documentation can be found here.